Get Subnet Groups
Get a list of the subnet groups that match the search keyword.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
GET /api/sonar/subnet-groups
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/subnet-groups
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| offset | X | 32-bit integer | Number of records to skip | Default: 0 |
| limit | X | 32-bit integer | Maximum number of records to load | If not specified, load all records |
| keywords | X | String | Keyword | Search available by name, description |
Success Response
{
"total_count": 1,
"subnet_groups": [
{
"guid": "bb994ca4-1471-4b91-89f2-99a61bd529b5",
"name": "Private network",
"description": null,
"subnet_count": 3,
"user_guid": "ffaf431b-653a-4329-8f83-913cbb00342d",
"user_name": "Admin",
"created": "2022-09-01 00:31:14+0900",
"updated": "2022-09-01 00:31:14+0900"
}
]
}
- total_count (32-bit integer): Total number of the subnet groups that match the search keyword
- subnet_groups (Array): Paged list of subnet groups
- guid (String): Network subnet group GUID
- name (String): Network subnet group name
- description (String): Network subnet group description
- subnet_count (32-bit integer): Number of the network subnets that belong to the group
- user_guid (String): GUID of the user who creates the subnet group
- user_name (String): Name of the user who creates the subnet group
- created (String): Date and time of creation (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Date and time of last modification (
yyyy-MM-dd HH:mm:ssZ)
Error Responses
offset or limit value is not an integer
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' parameter should be int type"
}
offset or limit value is negative
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' must be greater than or equal to 0."
}